Bug 1066173 - Default pmchart font size should be configurable
Summary: Default pmchart font size should be configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp-gui
Version: rawhide
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 22:37 UTC by Nathan Scott
Modified: 2014-03-21 22:30 UTC (History)
2 users (show)

Fixed In Version: pcp-gui-1.5.13-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 07:54:49 UTC


Attachments (Terms of Use)

Description Nathan Scott 2014-02-17 22:37:07 UTC
It's been pointed out that the small default font size for pmchart can be
difficult to read for some folks or in some situations (like a demo).  It
should be configurable - a command line argument would be a simple initial
solution, but (perhaps longer term, when Preferences are revisited) via a
GUI interaction would be nice too.

Comment 1 Nathan Scott 2014-02-18 07:22:30 UTC
An initial change here for early experimentation has been introduced via this pcp-gui git commit (git://oss.sgi.com/pcp/pcp-gui dev) ...

commit 7131a290b4eaab4af3f3c1bdfda78f457503bcb7
Author: Nathan Scott <nathans@redhat.com>
Date:   Tue Feb 18 14:59:36 2014 +1100

    Add pmchart options to set font size and family
    
    Introduce -f and -F to pmchart for allowing the user more
    control over the default chart font size used for things
    like Y-Axis labels, the title and the legend.
    
    Other excellent suggestions for improving this include an
    interactive Preferences dialog addition, and browser-like
    Ctrl+ and Ctrl- hotkeys.  These have not been implemented
    at this stage.  Additional work on improving layouts with
    these settings would be good too, but this gives at least
    a simple way to tweak this now.

Comment 2 Fedora Update System 2014-02-20 06:34:41 UTC
pcp-gui-1.5.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.12-1.fc20

Comment 3 Fedora Update System 2014-02-20 06:35:33 UTC
pcp-gui-1.5.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.12-1.fc19

Comment 4 Fedora Update System 2014-02-20 06:36:19 UTC
pcp-gui-1.5.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.12-1.el6

Comment 5 Fedora Update System 2014-02-22 00:36:06 UTC
Package pcp-gui-1.5.12-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-gui-1.5.12-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2784/pcp-gui-1.5.12-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-02-25 07:54:49 UTC
pcp-gui-1.5.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-03-02 03:40:56 UTC
pcp-gui-1.5.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-03-06 04:52:05 UTC
pcp-gui-1.5.13-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.13-1.el6

Comment 9 Fedora Update System 2014-03-21 22:30:17 UTC
pcp-gui-1.5.13-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.